<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.Cursor Method (CursorConfig)
BTreeDatabase Class See Also Send Feedback

Create a database cursor with the given configuration.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public BTreeCursor Cursor(
    	CursorConfig cfg
    )

Visual Basic (Declaration)

    Public Function Cursor ( _
    	cfg As CursorConfig _
    ) As BTreeCursor

Visual C++

    public:
    BTreeCursor^ Cursor(
    	CursorConfig^ cfg
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.CursorConfig
  The configuration properties for the cursor.

#### Return Value

A newly created cursor

# See Also

BTreeDatabase Class
Cursor Overload
BerkeleyDB Namespace